// Author: Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This file define a class inherent from CheckBox that allow put a button in a
// window.

#ifndef GUI_RADIOBUTTON_H__
#define GUI_RADIOBUTTON_H__

#include "../global.h"
#include "check_box.h"

BEGIN_TEG_NAMESPACE();
BEGIN_NAMESPACE(gui);

class RadioButton : public CheckBox {
 public:
  // RadioButton constructor and destructor.
  RadioButton(int x, int y, bool is_checked, int group);
  RadioButton();

  // Accessor and mutator methods to RadioButton attributes.
  inline int group() const { return group_; }
  inline void set_group(int group) { group_ = group; }

  // Method to display the radio button.
  virtual void Render() const;

 private:
  // RadioButton attributes, group id where is contained.
  int group_;
};

END_NAMESPACE(gui);
END_TEG_NAMESPACE();

#endif  // GUI_RADIOBUTTON_H__
